[page:Material] →

# [name]

The default material used by [page:ParticleSystem particle] systems.

## Constructor

### [name]( [page:Object parameters] )

parameters is an object with one or more properties defining the material's appearance.
color — Particle color in hexadecimal. Default is 0xffffff.
map — a [page:Texture texture]. Default is null. // TODO: specify what is its purpose
size — Define size of particles. Default is 1.0.
sizeAttenuation — Enable/disable size attenuation with distance.
vertexColors — Define whether the material uses vertex colors, or not. Default is false.
fog — Define whether the material color is affected by global fog settings. Default is true.

## Properties

### .[page:Number color]

Sets the color of the particles. Default is 0xffffff.

### .[page:Texture map]

Sets the color of the particles using data from a texture (?).

### .[page:Number size]

Sets the size of the particles. Default is 1.0.

### .[page:Boolean sizeAttenuation]

Specify whether particles' size will get smaller with the distance. Default is true.

### .[page:Boolean vertexColors]

Define whether the material uses vertex colors, or not. Default is false.
This setting might not have any effect when used with certain renderers. For example, it is ignored with the [page:CanvasRenderer Canvas] renderer, but does work with the [page:WebGLRenderer WebGL] renderer.

### .[page:Boolean fog]

Define whether the material color is affected by global fog settings.
This setting might not have any effect when used with certain renderers. For example, it is ignored with the [page:CanvasRenderer Canvas] renderer, but does work with the [page:WebGLRenderer WebGL] renderer.

## Source

[link:https://github.com/mrdoob/three.js/blob/master/src/[path].js src/[path].js]